百世创一
百世创一
  • 发布:2021-07-15 10:32
  • 更新:2021-07-15 13:51
  • 阅读:509

【报Bug】iOS云打包和自定义基座打包后,一直提示版本不正确,导致APP启动时总是弹出版本不符问题框,以及一些异常

分类:HBuilderX

产品分类: HbuilderX

PC开发环境操作系统: Mac

PC开发环境操作系统版本号: 11.4

HBuilderX版本号: 3.1.22

操作步骤:

使用最新版HbuildX 3.1.22(MacOsX 11.4), 打包iOS基座。

预期结果:

不会出现版本不符的提示。

实际结果:

出现版本不符的提示

bug描述:

这几天升级了HBuildX到3.1.22,安卓未见异常,但是iOS自定义基座,提示编译器版本:3.1.22(v3),编译也正常结束。在使用自定义基座启动时,日志总是提示" 当前使用的自定义基座的SDK版本为:1.9.9.80612,标准运行基座的SDK版本为:1.9.9.80625,SDK版本不一致,可能有兼容问题,请及时制作新版自定义基座"。同时启动APP会弹出提示框“本应用使用HBuilderX3.1.22编译或对应的cli版本编译,而手机端SDK版本是3.1.21.不匹配的版本可能造成应用异常”。通过test flight也发现生产包也是此种问题。

反复检查本地HbuilderX的版本(3.1.22.20210709),重新制作自定义基座(最新制作时间2021/7/15 09:00:00),始终出现这个错误提示。导致无法iOS发版,还请快速找到问题。

另:安卓打包目前没有遇到这个问题。

2021-07-15 10:32 负责人:无 分享
已邀请:
禾禾禾禾

禾禾禾禾

我也同样的问题啊

禾禾禾禾

禾禾禾禾

https://ask.dcloud.net.cn/question/126854 看这个回答说是问题已经修复了,但是是两天前修复的。到底怎么回事

  • 百世创一 (作者)

    小版本号不一样。

    2021-07-15 15:39

  • 百世创一 (作者)

    只能等下一次升级了。你在manifest里加个配置,先让他不要弹出来。

    2021-07-15 15:42

  • 禾禾禾禾

    回复 b***@bestrie.com: 恩,只能这样解决了,因为我这边不能自测,每次都是直接上传appstore过审了才下载看有没有问题,只好这样了,

    2021-07-15 15:47

该问题目前已经被锁定, 无法添加新回复